package com.wm.wimobile.openappcomercios.entities;
import androidx.databinding.BaseObservable;
import androidx.databinding.Bindable;

import com.google.gson.annotations.Expose;
import com.google.gson.annotations.SerializedName;
import com.wm.wimobile.openappcomercios.BR;

public class Properties extends BaseObservable {

    @SerializedName("Monto")
    @Expose
    private String monto;
    @SerializedName("Iva")
    @Expose
    private String iva;
    @SerializedName("Inc")
    @Expose
    private String inc;
    @SerializedName("Monto_base_iva")
    @Expose
    private String montoBaseIva;
    @SerializedName("Monto_base_inc")
    @Expose
    private String montoBaseInc;
    @SerializedName("Base_devolucion")
    @Expose
    private String baseDevolucion;
    @SerializedName("Numero_recibo")
    @Expose
    private String numeroRecibo;
    @SerializedName("Clave_supervisor")
    @Expose
    private String claveSupervisor;

    @Bindable
    public String getMonto() {
        return monto;
    }

    public void setMonto(String monto) {
        this.monto = monto;
        notifyPropertyChanged(com.wm.wimobile.openappcomercios.BR.monto);
    }

    @Bindable
    public String getIva() {
        return iva;
    }

    public void setIva(String iva) {
        this.iva = iva;
        notifyPropertyChanged(com.wm.wimobile.openappcomercios.BR.iva);
    }

    @Bindable
    public String getInc() {
        return inc;
    }

    public void setInc(String inc) {
        this.inc = inc;
        notifyPropertyChanged(com.wm.wimobile.openappcomercios.BR.inc);
    }

    @Bindable
    public String getMontoBaseIva() {
        return montoBaseIva;
    }

    public void setMontoBaseIva(String montoBaseIva) {
        this.montoBaseIva = montoBaseIva;
        notifyPropertyChanged(com.wm.wimobile.openappcomercios.BR.montoBaseIva);
    }

    @Bindable
    public String getMontoBaseInc() {
        return montoBaseInc;
    }

    public void setMontoBaseInc(String montoBaseInc) {
        this.montoBaseInc = montoBaseInc;
        notifyPropertyChanged(com.wm.wimobile.openappcomercios.BR.montoBaseInc);
    }

    @Bindable
    public String getBaseDevolucion() {
        return baseDevolucion;
    }

    public void setBaseDevolucion(String baseDevolucion) {
        this.baseDevolucion = baseDevolucion;
        notifyPropertyChanged(com.wm.wimobile.openappcomercios.BR.baseDevolucion);
    }

    @Bindable
    public String getNumeroRecibo() {
        return numeroRecibo;
    }

    public void setNumeroRecibo(String numeroRecibo) {
        this.numeroRecibo = numeroRecibo;
        notifyPropertyChanged(com.wm.wimobile.openappcomercios.BR.numeroRecibo);
    }

    @Bindable
    public String getClaveSupervisor() {
        return claveSupervisor;
    }

    public void setClaveSupervisor(String claveSupervisor) {
        this.claveSupervisor = claveSupervisor;
        notifyPropertyChanged(com.wm.wimobile.openappcomercios.BR.claveSupervisor);
    }

}