package com.wm.wimobile.openappcomercios;

import android.content.Context;
import android.content.Intent;

import com.google.gson.Gson;
import com.wm.wimobile.openappcomercios.entities.JsonInput;

import java.util.ArrayList;
import java.util.List;

public class SendDataRepository implements SendDataSource.getDate {

    private Context context;
    private cargarDatosCallBack callback;
    private InputViewModel inputViewModel;

    public SendDataRepository (Context context,cargarDatosCallBack callback,
                               InputViewModel inputViewModel) {
        this.context = context;
        this.callback = callback;
        this.inputViewModel = inputViewModel;
    }

    @Override
    public void cargarDatos() {
        JsonInput jsonInput = inputViewModel.getJsonInput();
        List<Integer> listTipoTrans = new ArrayList<>();
        listTipoTrans.add(1);
        listTipoTrans.add(2);
        listTipoTrans.add(3);
        listTipoTrans.add(4);
        listTipoTrans.add(5);
        listTipoTrans.add(6);
        listTipoTrans.add(7);
        listTipoTrans.add(8);
        listTipoTrans.add(9);
        inputViewModel.setValuesTipoTransaccion(listTipoTrans);
        inputViewModel.setNewClient(jsonInput);
    }

    @Override
    public void enviarDatos() {
        JsonInput jsonInput = inputViewModel.getJsonInput();
        Gson gson = new Gson();
        String json = gson.toJson(jsonInput);
        callback.onSuccess(json);
    }
}
