package com.wm.wimobile.openappcomercios.entities;
import android.widget.Spinner;

import androidx.databinding.BaseObservable;
import androidx.databinding.Bindable;
import androidx.databinding.InverseBindingMethod;
import androidx.databinding.InverseBindingMethods;

import com.google.gson.annotations.Expose;
import com.google.gson.annotations.SerializedName;

@InverseBindingMethods({
        @InverseBindingMethod(type = Spinner.class, attribute = "android:selectedItemPosition"),
})
public class JsonInput extends BaseObservable {

    @Bindable
    @SerializedName("TipoTransaccion")
    @Expose
    private Integer tipoTransaccion;
    @SerializedName("properties")
    @Expose
    private Properties properties;

    public JsonInput () {
        this.properties = new Properties();
    }

    @Bindable
    public Integer getTipoTransaccion() {
        return tipoTransaccion;
    }

    public void setTipoTransaccion(Integer tipoTransaccion) {
        this.tipoTransaccion = tipoTransaccion;
        notifyPropertyChanged(com.wm.wimobile.openappcomercios.BR.tipoTransaccion);
    }

    @Bindable
    public Properties getProperties() {
        return properties;
    }

    public void setProperties(Properties properties) {
        this.properties = properties;
        notifyPropertyChanged(com.wm.wimobile.openappcomercios.BR.properties);
    }


}